# Mongo::setSlaveOkay

(PECL mongo >=1.1.0)

Mongo::setSlaveOkay — Change slaveOkay setting for this connection

### Description

public Mongo::setSlaveOkay ([ bool `$ok` = `TRUE` ] ) : bool

See the query section of this manual for information on distributing reads to secondaries.

### Parameters

`ok`

  If reads should be sent to secondary members of a replica set for all possible queries using this MongoClient instance.

### Return Values

Returns the former value of slaveOkay for this instance.

### Changelog

Version | Description
--- | ---
1.2.11 | Emits `E_DEPRECATED` when used.

### See Also

- Read Preferences
- MongoClient::setReadPreference() - Set the read preference for this connection